Package ru.bitel.bgbilling.kernel.tariff.server.bean

# Class TariffGroupDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<TariffGroup>
ru.bitel.common.dao.AbstractIdDao<TariffGroup>
ru.bitel.common.dao.AbstractDirectoryIdDao<TariffGroup>
ru.bitel.bgbilling.kernel.tariff.server.bean.TariffGroupDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<TariffGroup>`

public class TariffGroupDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<TariffGroup>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffGroupDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `TariffGroup`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected TariffGroup`
  `getFromRS(ResultSet rs)`
  `TariffGroup`
  `getTariffGroupById(int id)`
  Deprecated.
  `List<TariffGroup>`
  `getTariffGroupList(int domainId)`
  `Map<Integer,TariffGroup>`
  `getTariffGroupMap()`
  Deprecated.
  use `Id.newMap(List)`
  `Map<Integer,TariffGroup>`
  `getTariffGroupMap(String ids)`
  Возвращает карту групп тарифов и их кодов по заданным кодам групп тарифов
  `Map<Integer,TariffGroup>`
  `getTariffGroupMask()`
  Deprecated.
  `List<TariffGroup>`
  `list()`
  Получение всего списка элементов из справочника
  `protected void`
  `updateImpl(TariffGroup tariffGroup)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### TariffGroupDao

    public TariffGroupDao(Connection con)

- ## Method Details

  - ### getTariffGroupList

    public List<TariffGroup> getTariffGroupList(int domainId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffGroupMap

    @Deprecated public Map<Integer,TariffGroup> getTariffGroupMap()
    Deprecated.
    use `Id.newMap(List)`
    Возвращает карту групп тарифов и их кодов
    Returns:

  - ### getTariffGroupMap

    public Map<Integer,TariffGroup> getTariffGroupMap(String ids)
    Возвращает карту групп тарифов и их кодов по заданным кодам групп тарифов
    Parameters:
      `ids` - коды групп тарифов, перечисленные через запятую
    Returns:

  - ### getTariffGroupById

    @Deprecated public TariffGroup getTariffGroupById(int id)
    Deprecated.
    Возвращает группу тарифов по ее коду
    Parameters:
      `id` - код группы тарифов
    Returns:

  - ### getTariffGroupMask

    @Deprecated public Map<Integer,TariffGroup> getTariffGroupMask()
    Deprecated.
    Возвращает карту групп тарифов и их кодов без загрузки самих тарифов
    Returns:

  - ### get

    public TariffGroup get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<TariffGroup> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected TariffGroup getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<TariffGroup>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(TariffGroup tariffGroup) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<TariffGroup>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `close` in interface `AutoCloseable`
    Overrides:
      `close` in class `ru.bitel.common.dao.AbstractDao<TariffGroup>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`